hibernate.connection.driver_class=org.postgresql.Driver
hibernate.dialect=net.aramzamzam.commons.hibernate.TableNameSequencePostgresDialect

#should be commented in production mode
#hibernate.hbm2ddl.auto=update

#c3p0
hibernate.c3p0.acquire_increment=3
hibernate.c3p0.min_size=5
hibernate.c3p0.max_size=10
hibernate.c3p0.max_statements=25
hibernate.c3p0.timeout=1800
hibernate.c3p0.idle_test_period=14400
hibernate.c3p0.preferredTestQuery=select 1;

#Disable second-level cache.
cache.provider_class=org.hibernate.cache.NoCacheProvider
cache.use_query_cache=false
cache.use_minimal_puts=false
max_fetch_depth=3

#Bind the getCurrentSession() method to the thread.
current_session_context_class=thread
